/* $Id$ */

/**
 * @file 
 * Contains the implementation of the GMTColourNames class.
 *
 * Most recent change:
 *   $Date$
 * 
 * Copyright (C) 2009, 2010 The University of Sydney, Australia
 *
 * This file is part of GPlates.
 *
 * GPlates is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, version 2, as published by
 * the Free Software Foundation.
 *
 * GPlates is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "GMTColourNames.h"

GPlatesGui::GMTColourNames::GMTColourNames()
{
	/* Colour names and values from `man gmtcolors` */
	insert_colour("snow", 255, 250, 250);
	insert_colour("ghostwhite", 248, 248, 255);
	insert_colour("floralwhite", 255, 250, 240);
	insert_colour("seashell", 255, 245, 238);
	insert_colour("oldlace", 253, 245, 230);
	insert_colour("linen", 250, 240, 230);
	insert_colour("antiquewhite", 250, 235, 215);
	insert_colour("papayawhip", 255, 239, 213);
	insert_colour("blanchedalmond", 255, 235, 205);
	insert_colour("bisque", 255, 228, 196);
	insert_colour("peachpuff", 255, 218, 185);
	insert_colour("navajowhite", 255, 222, 173);
	insert_colour("moccasin", 255, 228, 181);
	insert_colour("lemonchiffon", 255, 250, 205);
	insert_colour("cornsilk", 255, 248, 220);
	insert_colour("ivory", 255, 255, 240);
	insert_colour("honeydew", 240, 255, 240);
	insert_colour("mintcream", 245, 255, 250);
	insert_colour("azure", 240, 255, 255);
	insert_colour("aliceblue", 240, 248, 255);
	insert_colour("lavender", 230, 230, 250);
	insert_colour("lavenderblush", 255, 240, 245);
	insert_colour("mistyrose", 255, 228, 225);
	insert_colour("midnightblue", 25, 25, 112);
	insert_colour("navy", 0, 0, 128);
	insert_colour("navyblue", 0, 0, 128);
	insert_colour("cornflowerblue", 100, 149, 237);
	insert_colour("darkslateblue", 72, 61, 139);
	insert_colour("slateblue", 106, 90, 205);
	insert_colour("mediumslateblue", 123, 104, 238);
	insert_colour("lightslateblue", 132, 112, 255);
	insert_colour("mediumblue", 0, 0, 205);
	insert_colour("royalblue", 65, 105, 225);
	insert_colour("blue", 0, 0, 255);
	insert_colour("darkblue", 0, 0, 139);
	insert_colour("dodgerblue", 30, 144, 255);
	insert_colour("steelblue", 70, 130, 180);
	insert_colour("deepskyblue", 0, 191, 255);
	insert_colour("skyblue", 135, 206, 235);
	insert_colour("lightskyblue", 135, 206, 250);
	insert_colour("lightslategray", 119, 136, 153);
	insert_colour("lightslategrey", 119, 136, 153);
	insert_colour("slategray", 112, 128, 144);
	insert_colour("slategrey", 112, 128, 144);
	insert_colour("lightsteelblue", 176, 196, 222);
	insert_colour("lightblue", 173, 216, 230);
	insert_colour("lightcyan", 224, 255, 255);
	insert_colour("powderblue", 176, 224, 230);
	insert_colour("paleturquoise", 175, 238, 238);
	insert_colour("cadetblue", 95, 158, 160);
	insert_colour("darkturquoise", 0, 206, 209);
	insert_colour("mediumturquoise", 72, 209, 204);
	insert_colour("turquoise", 64, 224, 208);
	insert_colour("cyan", 0, 255, 255);
	insert_colour("darkcyan", 0, 139, 139);
	insert_colour("darkslategray", 47, 79, 79);
	insert_colour("darkslategrey", 47, 79, 79);
	insert_colour("mediumaquamarine", 102, 205, 170);
	insert_colour("aquamarine", 127, 255, 212);
	insert_colour("darkgreen", 0, 100, 0);
	insert_colour("lightgreen", 144, 238, 144);
	insert_colour("darkseagreen", 143, 188, 143);
	insert_colour("seagreen", 46, 139, 87);
	insert_colour("mediumseagreen", 60, 179, 113);
	insert_colour("lightseagreen", 32, 178, 170);
	insert_colour("palegreen", 152, 251, 152);
	insert_colour("springgreen", 0, 255, 127);
	insert_colour("lawngreen", 124, 252, 0);
	insert_colour("green", 0, 255, 0);
	insert_colour("chartreuse", 127, 255, 0);
	insert_colour("mediumspringgreen", 0, 250, 154);
	insert_colour("greenyellow", 173, 255, 47);
	insert_colour("limegreen", 50, 205, 50);
	insert_colour("yellowgreen", 154, 205, 50);
	insert_colour("forestgreen", 34, 139, 34);
	insert_colour("olivedrab", 107, 142, 35);
	insert_colour("darkolivegreen", 85, 107, 47);
	insert_colour("darkkhaki", 189, 183, 107);
	insert_colour("khaki", 240, 230, 140);
	insert_colour("palegoldenrod", 238, 232, 170);
	insert_colour("lightgoldenrod", 238, 221, 130);
	insert_colour("lightyellow", 255, 255, 224);
	insert_colour("lightgoldenrodyellow", 250, 250, 210);
	insert_colour("yellow", 255, 255, 0);
	insert_colour("darkyellow", 128, 128, 0);
	insert_colour("gold", 255, 215, 0);
	insert_colour("goldenrod", 218, 165, 32);
	insert_colour("darkgoldenrod", 184, 134, 11);
	insert_colour("rosybrown", 188, 143, 143);
	insert_colour("indianred", 205, 92, 92);
	insert_colour("saddlebrown", 139, 69, 19);
	insert_colour("sienna", 160, 82, 45);
	insert_colour("peru", 205, 133, 63);
	insert_colour("burlywood", 222, 184, 135);
	insert_colour("beige", 245, 245, 220);
	insert_colour("wheat", 245, 222, 179);
	insert_colour("sandybrown", 244, 164, 96);
	insert_colour("tan", 210, 180, 140);
	insert_colour("chocolate", 210, 105, 30);
	insert_colour("firebrick", 178, 34, 34);
	insert_colour("lightbrown", 235, 190, 85);
	insert_colour("brown", 165, 42, 42);
	insert_colour("darkbrown", 120, 60, 30);
	insert_colour("darksalmon", 233, 150, 122);
	insert_colour("salmon", 250, 128, 114);
	insert_colour("lightsalmon", 255, 160, 122);
	insert_colour("lightorange", 255, 192, 128);
	insert_colour("orange", 255, 165, 0);
	insert_colour("darkorange", 255, 140, 0);
	insert_colour("coral", 255, 127, 80);
	insert_colour("lightcoral", 240, 128, 128);
	insert_colour("tomato", 255, 99, 71);
	insert_colour("orangered", 255, 69, 0);
	insert_colour("red", 255, 0, 0);
	insert_colour("lightred", 255, 128, 128);
	insert_colour("darkred", 139, 0, 0);
	insert_colour("deeppink", 255, 20, 147);
	insert_colour("hotpink", 255, 105, 180);
	insert_colour("pink", 255, 192, 203);
	insert_colour("lightpink", 255, 182, 193);
	insert_colour("palevioletred", 219, 112, 147);
	insert_colour("maroon", 176, 48, 96);
	insert_colour("mediumvioletred", 199, 21, 133);
	insert_colour("violetred", 208, 32, 144);
	insert_colour("darkmagenta", 139, 0, 139);
	insert_colour("magenta", 255, 0, 255);
	insert_colour("lightmagenta", 255, 128, 255);
	insert_colour("violet", 238, 130, 238);
	insert_colour("orchid", 218, 112, 214);
	insert_colour("plum", 221, 160, 221);
	insert_colour("mediumorchid", 186, 85, 211);
	insert_colour("darkorchid", 153, 50, 204);
	insert_colour("darkviolet", 148, 0, 211);
	insert_colour("blueviolet", 138, 43, 226);
	insert_colour("purple", 160, 32, 240);
	insert_colour("mediumpurple", 147, 112, 219);
	insert_colour("thistle", 216, 191, 216);
	insert_colour("black", 0, 0, 0);
	insert_colour("dimgray", 105, 105, 105);
	insert_colour("dimgrey", 105, 105, 105);
	insert_colour("darkgray", 169, 169, 169);
	insert_colour("darkgrey", 169, 169, 169);
	insert_colour("gray", 190, 190, 190);
	insert_colour("grey", 190, 190, 190);
	insert_colour("lightgrey", 211, 211, 211);
	insert_colour("lightgray", 211, 211, 211);
	insert_colour("gainsboro", 220, 220, 220);
	insert_colour("whitesmoke", 245, 245, 245);
	insert_colour("white", 255, 255, 255);
	insert_colour("snow1", 255, 250, 250);
	insert_colour("snow2", 238, 233, 233);
	insert_colour("snow3", 205, 201, 201);
	insert_colour("snow4", 139, 137, 137);
	insert_colour("seashell1", 255, 245, 238);
	insert_colour("seashell2", 238, 229, 222);
	insert_colour("seashell3", 205, 197, 191);
	insert_colour("seashell4", 139, 134, 130);
	insert_colour("antiquewhite1", 255, 239, 219);
	insert_colour("antiquewhite2", 238, 223, 204);
	insert_colour("antiquewhite3", 205, 192, 176);
	insert_colour("antiquewhite4", 139, 131, 120);
	insert_colour("bisque1", 255, 228, 196);
	insert_colour("bisque2", 238, 213, 183);
	insert_colour("bisque3", 205, 183, 158);
	insert_colour("bisque4", 139, 125, 107);
	insert_colour("peachpuff1", 255, 218, 185);
	insert_colour("peachpuff2", 238, 203, 173);
	insert_colour("peachpuff3", 205, 175, 149);
	insert_colour("peachpuff4", 139, 119, 101);
	insert_colour("navajowhite1", 255, 222, 173);
	insert_colour("navajowhite2", 238, 207, 161);
	insert_colour("navajowhite3", 205, 179, 139);
	insert_colour("navajowhite4", 139, 121, 94);
	insert_colour("lemonchiffon1", 255, 250, 205);
	insert_colour("lemonchiffon2", 238, 233, 191);
	insert_colour("lemonchiffon3", 205, 201, 165);
	insert_colour("lemonchiffon4", 139, 137, 112);
	insert_colour("cornsilk1", 255, 248, 220);
	insert_colour("cornsilk2", 238, 232, 205);
	insert_colour("cornsilk3", 205, 200, 177);
	insert_colour("cornsilk4", 139, 136, 120);
	insert_colour("ivory1", 255, 255, 240);
	insert_colour("ivory2", 238, 238, 224);
	insert_colour("ivory3", 205, 205, 193);
	insert_colour("ivory4", 139, 139, 131);
	insert_colour("honeydew1", 240, 255, 240);
	insert_colour("honeydew2", 224, 238, 224);
	insert_colour("honeydew3", 193, 205, 193);
	insert_colour("honeydew4", 131, 139, 131);
	insert_colour("lavenderblush1", 255, 240, 245);
	insert_colour("lavenderblush2", 238, 224, 229);
	insert_colour("lavenderblush3", 205, 193, 197);
	insert_colour("lavenderblush4", 139, 131, 134);
	insert_colour("mistyrose1", 255, 228, 225);
	insert_colour("mistyrose2", 238, 213, 210);
	insert_colour("mistyrose3", 205, 183, 181);
	insert_colour("mistyrose4", 139, 125, 123);
	insert_colour("azure1", 240, 255, 255);
	insert_colour("azure2", 224, 238, 238);
	insert_colour("azure3", 193, 205, 205);
	insert_colour("azure4", 131, 139, 139);
	insert_colour("slateblue1", 131, 111, 255);
	insert_colour("slateblue2", 122, 103, 238);
	insert_colour("slateblue3", 105, 89, 205);
	insert_colour("slateblue4", 71, 60, 139);
	insert_colour("royalblue1", 72, 118, 255);
	insert_colour("royalblue2", 67, 110, 238);
	insert_colour("royalblue3", 58, 95, 205);
	insert_colour("royalblue4", 39, 64, 139);
	insert_colour("blue1", 0, 0, 255);
	insert_colour("blue2", 0, 0, 238);
	insert_colour("blue3", 0, 0, 205);
	insert_colour("blue4", 0, 0, 139);
	insert_colour("dodgerblue1", 30, 144, 255);
	insert_colour("dodgerblue2", 28, 134, 238);
	insert_colour("dodgerblue3", 24, 116, 205);
	insert_colour("dodgerblue4", 16, 78, 139);
	insert_colour("steelblue1", 99, 184, 255);
	insert_colour("steelblue2", 92, 172, 238);
	insert_colour("steelblue3", 79, 148, 205);
	insert_colour("steelblue4", 54, 100, 139);
	insert_colour("deepskyblue1", 0, 191, 255);
	insert_colour("deepskyblue2", 0, 178, 238);
	insert_colour("deepskyblue3", 0, 154, 205);
	insert_colour("deepskyblue4", 0, 104, 139);
	insert_colour("skyblue1", 135, 206, 255);
	insert_colour("skyblue2", 126, 192, 238);
	insert_colour("skyblue3", 108, 166, 205);
	insert_colour("skyblue4", 74, 112, 139);
	insert_colour("lightskyblue1", 176, 226, 255);
	insert_colour("lightskyblue2", 164, 211, 238);
	insert_colour("lightskyblue3", 141, 182, 205);
	insert_colour("lightskyblue4", 96, 123, 139);
	insert_colour("slategray1", 198, 226, 255);
	insert_colour("slategray2", 185, 211, 238);
	insert_colour("slategray3", 159, 182, 205);
	insert_colour("slategray4", 108, 123, 139);
	insert_colour("lightsteelblue1", 202, 225, 255);
	insert_colour("lightsteelblue2", 188, 210, 238);
	insert_colour("lightsteelblue3", 162, 181, 205);
	insert_colour("lightsteelblue4", 110, 123, 139);
	insert_colour("lightblue1", 191, 239, 255);
	insert_colour("lightblue2", 178, 223, 238);
	insert_colour("lightblue3", 154, 192, 205);
	insert_colour("lightblue4", 104, 131, 139);
	insert_colour("lightcyan1", 224, 255, 255);
	insert_colour("lightcyan2", 209, 238, 238);
	insert_colour("lightcyan3", 180, 205, 205);
	insert_colour("lightcyan4", 122, 139, 139);
	insert_colour("paleturquoise1", 187, 255, 255);
	insert_colour("paleturquoise2", 174, 238, 238);
	insert_colour("paleturquoise3", 150, 205, 205);
	insert_colour("paleturquoise4", 102, 139, 139);
	insert_colour("cadetblue1", 152, 245, 255);
	insert_colour("cadetblue2", 142, 229, 238);
	insert_colour("cadetblue3", 122, 197, 205);
	insert_colour("cadetblue4", 83, 134, 139);
	insert_colour("turquoise1", 0, 245, 255);
	insert_colour("turquoise2", 0, 229, 238);
	insert_colour("turquoise3", 0, 197, 205);
	insert_colour("turquoise4", 0, 134, 139);
	insert_colour("cyan1", 0, 255, 255);
	insert_colour("cyan2", 0, 238, 238);
	insert_colour("cyan3", 0, 205, 205);
	insert_colour("cyan4", 0, 139, 139);
	insert_colour("darkslategray1", 151, 255, 255);
	insert_colour("darkslategray2", 141, 238, 238);
	insert_colour("darkslategray3", 121, 205, 205);
	insert_colour("darkslategray4", 82, 139, 139);
	insert_colour("aquamarine1", 127, 255, 212);
	insert_colour("aquamarine2", 118, 238, 198);
	insert_colour("aquamarine3", 102, 205, 170);
	insert_colour("aquamarine4", 69, 139, 116);
	insert_colour("darkseagreen1", 193, 255, 193);
	insert_colour("darkseagreen2", 180, 238, 180);
	insert_colour("darkseagreen3", 155, 205, 155);
	insert_colour("darkseagreen4", 105, 139, 105);
	insert_colour("seagreen1", 84, 255, 159);
	insert_colour("seagreen2", 78, 238, 148);
	insert_colour("seagreen3", 67, 205, 128);
	insert_colour("seagreen4", 46, 139, 87);
	insert_colour("palegreen1", 154, 255, 154);
	insert_colour("palegreen2", 144, 238, 144);
	insert_colour("palegreen3", 124, 205, 124);
	insert_colour("palegreen4", 84, 139, 84);
	insert_colour("springgreen1", 0, 255, 127);
	insert_colour("springgreen2", 0, 238, 118);
	insert_colour("springgreen3", 0, 205, 102);
	insert_colour("springgreen4", 0, 139, 69);
	insert_colour("green1", 0, 255, 0);
	insert_colour("green2", 0, 238, 0);
	insert_colour("green3", 0, 205, 0);
	insert_colour("green4", 0, 139, 0);
	insert_colour("chartreuse1", 127, 255, 0);
	insert_colour("chartreuse2", 118, 238, 0);
	insert_colour("chartreuse3", 102, 205, 0);
	insert_colour("chartreuse4", 69, 139, 0);
	insert_colour("olivedrab1", 192, 255, 62);
	insert_colour("olivedrab2", 179, 238, 58);
	insert_colour("olivedrab3", 154, 205, 50);
	insert_colour("olivedrab4", 105, 139, 34);
	insert_colour("darkolivegreen1", 202, 255, 112);
	insert_colour("darkolivegreen2", 188, 238, 104);
	insert_colour("darkolivegreen3", 162, 205, 90);
	insert_colour("darkolivegreen4", 110, 139, 61);
	insert_colour("khaki1", 255, 246, 143);
	insert_colour("khaki2", 238, 230, 133);
	insert_colour("khaki3", 205, 198, 115);
	insert_colour("khaki4", 139, 134, 78);
	insert_colour("lightgoldenrod1", 255, 236, 139);
	insert_colour("lightgoldenrod2", 238, 220, 130);
	insert_colour("lightgoldenrod3", 205, 190, 112);
	insert_colour("lightgoldenrod4", 139, 129, 76);
	insert_colour("lightyellow1", 255, 255, 224);
	insert_colour("lightyellow2", 238, 238, 209);
	insert_colour("lightyellow3", 205, 205, 180);
	insert_colour("lightyellow4", 139, 139, 122);
	insert_colour("yellow1", 255, 255, 0);
	insert_colour("yellow2", 238, 238, 0);
	insert_colour("yellow3", 205, 205, 0);
	insert_colour("yellow4", 139, 139, 0);
	insert_colour("gold1", 255, 215, 0);
	insert_colour("gold2", 238, 201, 0);
	insert_colour("gold3", 205, 173, 0);
	insert_colour("gold4", 139, 117, 0);
	insert_colour("goldenrod1", 255, 193, 37);
	insert_colour("goldenrod2", 238, 180, 34);
	insert_colour("goldenrod3", 205, 155, 29);
	insert_colour("goldenrod4", 139, 105, 20);
	insert_colour("darkgoldenrod1", 255, 185, 15);
	insert_colour("darkgoldenrod2", 238, 173, 14);
	insert_colour("darkgoldenrod3", 205, 149, 12);
	insert_colour("darkgoldenrod4", 139, 101, 8);
	insert_colour("rosybrown1", 255, 193, 193);
	insert_colour("rosybrown2", 238, 180, 180);
	insert_colour("rosybrown3", 205, 155, 155);
	insert_colour("rosybrown4", 139, 105, 105);
	insert_colour("indianred1", 255, 106, 106);
	insert_colour("indianred2", 238, 99, 99);
	insert_colour("indianred3", 205, 85, 85);
	insert_colour("indianred4", 139, 58, 58);
	insert_colour("sienna1", 255, 130, 71);
	insert_colour("sienna2", 238, 121, 66);
	insert_colour("sienna3", 205, 104, 57);
	insert_colour("sienna4", 139, 71, 38);
	insert_colour("burlywood1", 255, 211, 155);
	insert_colour("burlywood2", 238, 197, 145);
	insert_colour("burlywood3", 205, 170, 125);
	insert_colour("burlywood4", 139, 115, 85);
	insert_colour("wheat1", 255, 231, 186);
	insert_colour("wheat2", 238, 216, 174);
	insert_colour("wheat3", 205, 186, 150);
	insert_colour("wheat4", 139, 126, 102);
	insert_colour("tan1", 255, 165, 79);
	insert_colour("tan2", 238, 154, 73);
	insert_colour("tan3", 205, 133, 63);
	insert_colour("tan4", 139, 90, 43);
	insert_colour("chocolate1", 255, 127, 36);
	insert_colour("chocolate2", 238, 118, 33);
	insert_colour("chocolate3", 205, 102, 29);
	insert_colour("chocolate4", 139, 69, 19);
	insert_colour("firebrick1", 255, 48, 48);
	insert_colour("firebrick2", 238, 44, 44);
	insert_colour("firebrick3", 205, 38, 38);
	insert_colour("firebrick4", 139, 26, 26);
	insert_colour("brown1", 255, 64, 64);
	insert_colour("brown2", 238, 59, 59);
	insert_colour("brown3", 205, 51, 51);
	insert_colour("brown4", 139, 35, 35);
	insert_colour("salmon1", 255, 140, 105);
	insert_colour("salmon2", 238, 130, 98);
	insert_colour("salmon3", 205, 112, 84);
	insert_colour("salmon4", 139, 76, 57);
	insert_colour("lightsalmon1", 255, 160, 122);
	insert_colour("lightsalmon2", 238, 149, 114);
	insert_colour("lightsalmon3", 205, 129, 98);
	insert_colour("lightsalmon4", 139, 87, 66);
	insert_colour("orange1", 255, 165, 0);
	insert_colour("orange2", 238, 154, 0);
	insert_colour("orange3", 205, 133, 0);
	insert_colour("orange4", 139, 90, 0);
	insert_colour("darkorange1", 255, 127, 0);
	insert_colour("darkorange2", 238, 118, 0);
	insert_colour("darkorange3", 205, 102, 0);
	insert_colour("darkorange4", 139, 69, 0);
	insert_colour("coral1", 255, 114, 86);
	insert_colour("coral2", 238, 106, 80);
	insert_colour("coral3", 205, 91, 69);
	insert_colour("coral4", 139, 62, 47);
	insert_colour("tomato1", 255, 99, 71);
	insert_colour("tomato2", 238, 92, 66);
	insert_colour("tomato3", 205, 79, 57);
	insert_colour("tomato4", 139, 54, 38);
	insert_colour("orangered1", 255, 69, 0);
	insert_colour("orangered2", 238, 64, 0);
	insert_colour("orangered3", 205, 55, 0);
	insert_colour("orangered4", 139, 37, 0);
	insert_colour("red1", 255, 0, 0);
	insert_colour("red2", 238, 0, 0);
	insert_colour("red3", 205, 0, 0);
	insert_colour("red4", 139, 0, 0);
	insert_colour("deeppink1", 255, 20, 147);
	insert_colour("deeppink2", 238, 18, 137);
	insert_colour("deeppink3", 205, 16, 118);
	insert_colour("deeppink4", 139, 10, 80);
	insert_colour("hotpink1", 255, 110, 180);
	insert_colour("hotpink2", 238, 106, 167);
	insert_colour("hotpink3", 205, 96, 144);
	insert_colour("hotpink4", 139, 58, 98);
	insert_colour("pink1", 255, 181, 197);
	insert_colour("pink2", 238, 169, 184);
	insert_colour("pink3", 205, 145, 158);
	insert_colour("pink4", 139, 99, 108);
	insert_colour("lightpink1", 255, 174, 185);
	insert_colour("lightpink2", 238, 162, 173);
	insert_colour("lightpink3", 205, 140, 149);
	insert_colour("lightpink4", 139, 95, 101);
	insert_colour("palevioletred1", 255, 130, 171);
	insert_colour("palevioletred2", 238, 121, 159);
	insert_colour("palevioletred3", 205, 104, 137);
	insert_colour("palevioletred4", 139, 71, 93);
	insert_colour("maroon1", 255, 52, 179);
	insert_colour("maroon2", 238, 48, 167);
	insert_colour("maroon3", 205, 41, 144);
	insert_colour("maroon4", 139, 28, 98);
	insert_colour("violetred1", 255, 62, 150);
	insert_colour("violetred2", 238, 58, 140);
	insert_colour("violetred3", 205, 50, 120);
	insert_colour("violetred4", 139, 34, 82);
	insert_colour("magenta1", 255, 0, 255);
	insert_colour("magenta2", 238, 0, 238);
	insert_colour("magenta3", 205, 0, 205);
	insert_colour("magenta4", 139, 0, 139);
	insert_colour("orchid1", 255, 131, 250);
	insert_colour("orchid2", 238, 122, 233);
	insert_colour("orchid3", 205, 105, 201);
	insert_colour("orchid4", 139, 71, 137);
	insert_colour("plum1", 255, 187, 255);
	insert_colour("plum2", 238, 174, 238);
	insert_colour("plum3", 205, 150, 205);
	insert_colour("plum4", 139, 102, 139);
	insert_colour("mediumorchid1", 224, 102, 255);
	insert_colour("mediumorchid2", 209, 95, 238);
	insert_colour("mediumorchid3", 180, 82, 205);
	insert_colour("mediumorchid4", 122, 55, 139);
	insert_colour("darkorchid1", 191, 62, 255);
	insert_colour("darkorchid2", 178, 58, 238);
	insert_colour("darkorchid3", 154, 50, 205);
	insert_colour("darkorchid4", 104, 34, 139);
	insert_colour("purple1", 155, 48, 255);
	insert_colour("purple2", 145, 44, 238);
	insert_colour("purple3", 125, 38, 205);
	insert_colour("purple4", 85, 26, 139);
	insert_colour("mediumpurple1", 171, 130, 255);
	insert_colour("mediumpurple2", 159, 121, 238);
	insert_colour("mediumpurple3", 137, 104, 205);
	insert_colour("mediumpurple4", 93, 71, 139);
	insert_colour("thistle1", 255, 225, 255);
	insert_colour("thistle2", 238, 210, 238);
	insert_colour("thistle3", 205, 181, 205);
	insert_colour("thistle4", 139, 123, 139);
	insert_colour("gray0", 0, 0, 0);
	insert_colour("grey0", 0, 0, 0);
	insert_colour("gray1", 3, 3, 3);
	insert_colour("grey1", 3, 3, 3);
	insert_colour("gray2", 5, 5, 5);
	insert_colour("grey2", 5, 5, 5);
	insert_colour("gray3", 8, 8, 8);
	insert_colour("grey3", 8, 8, 8);
	insert_colour("gray4", 10, 10, 10);
	insert_colour("grey4", 10, 10, 10);
	insert_colour("gray5", 13, 13, 13);
	insert_colour("grey5", 13, 13, 13);
	insert_colour("gray6", 15, 15, 15);
	insert_colour("grey6", 15, 15, 15);
	insert_colour("gray7", 18, 18, 18);
	insert_colour("grey7", 18, 18, 18);
	insert_colour("gray8", 20, 20, 20);
	insert_colour("grey8", 20, 20, 20);
	insert_colour("gray9", 23, 23, 23);
	insert_colour("grey9", 23, 23, 23);
	insert_colour("gray10", 26, 26, 26);
	insert_colour("grey10", 26, 26, 26);
	insert_colour("gray11", 28, 28, 28);
	insert_colour("grey11", 28, 28, 28);
	insert_colour("gray12", 31, 31, 31);
	insert_colour("grey12", 31, 31, 31);
	insert_colour("gray13", 33, 33, 33);
	insert_colour("grey13", 33, 33, 33);
	insert_colour("gray14", 36, 36, 36);
	insert_colour("grey14", 36, 36, 36);
	insert_colour("gray15", 38, 38, 38);
	insert_colour("grey15", 38, 38, 38);
	insert_colour("gray16", 41, 41, 41);
	insert_colour("grey16", 41, 41, 41);
	insert_colour("gray17", 43, 43, 43);
	insert_colour("grey17", 43, 43, 43);
	insert_colour("gray18", 46, 46, 46);
	insert_colour("grey18", 46, 46, 46);
	insert_colour("gray19", 48, 48, 48);
	insert_colour("grey19", 48, 48, 48);
	insert_colour("gray20", 51, 51, 51);
	insert_colour("grey20", 51, 51, 51);
	insert_colour("gray21", 54, 54, 54);
	insert_colour("grey21", 54, 54, 54);
	insert_colour("gray22", 56, 56, 56);
	insert_colour("grey22", 56, 56, 56);
	insert_colour("gray23", 59, 59, 59);
	insert_colour("grey23", 59, 59, 59);
	insert_colour("gray24", 61, 61, 61);
	insert_colour("grey24", 61, 61, 61);
	insert_colour("gray25", 64, 64, 64);
	insert_colour("grey25", 64, 64, 64);
	insert_colour("gray26", 66, 66, 66);
	insert_colour("grey26", 66, 66, 66);
	insert_colour("gray27", 69, 69, 69);
	insert_colour("grey27", 69, 69, 69);
	insert_colour("gray28", 71, 71, 71);
	insert_colour("grey28", 71, 71, 71);
	insert_colour("gray29", 74, 74, 74);
	insert_colour("grey29", 74, 74, 74);
	insert_colour("gray30", 77, 77, 77);
	insert_colour("grey30", 77, 77, 77);
	insert_colour("gray31", 79, 79, 79);
	insert_colour("grey31", 79, 79, 79);
	insert_colour("gray32", 82, 82, 82);
	insert_colour("grey32", 82, 82, 82);
	insert_colour("gray33", 84, 84, 84);
	insert_colour("grey33", 84, 84, 84);
	insert_colour("gray34", 87, 87, 87);
	insert_colour("grey34", 87, 87, 87);
	insert_colour("gray35", 89, 89, 89);
	insert_colour("grey35", 89, 89, 89);
	insert_colour("gray36", 92, 92, 92);
	insert_colour("grey36", 92, 92, 92);
	insert_colour("gray37", 94, 94, 94);
	insert_colour("grey37", 94, 94, 94);
	insert_colour("gray38", 97, 97, 97);
	insert_colour("grey38", 97, 97, 97);
	insert_colour("gray39", 99, 99, 99);
	insert_colour("grey39", 99, 99, 99);
	insert_colour("gray40", 102, 102, 102);
	insert_colour("grey40", 102, 102, 102);
	insert_colour("gray41", 105, 105, 105);
	insert_colour("grey41", 105, 105, 105);
	insert_colour("gray42", 107, 107, 107);
	insert_colour("grey42", 107, 107, 107);
	insert_colour("gray43", 110, 110, 110);
	insert_colour("grey43", 110, 110, 110);
	insert_colour("gray44", 112, 112, 112);
	insert_colour("grey44", 112, 112, 112);
	insert_colour("gray45", 115, 115, 115);
	insert_colour("grey45", 115, 115, 115);
	insert_colour("gray46", 117, 117, 117);
	insert_colour("grey46", 117, 117, 117);
	insert_colour("gray47", 120, 120, 120);
	insert_colour("grey47", 120, 120, 120);
	insert_colour("gray48", 122, 122, 122);
	insert_colour("grey48", 122, 122, 122);
	insert_colour("gray49", 125, 125, 125);
	insert_colour("grey49", 125, 125, 125);
	insert_colour("gray50", 127, 127, 127);
	insert_colour("grey50", 127, 127, 127);
	insert_colour("gray51", 130, 130, 130);
	insert_colour("grey51", 130, 130, 130);
	insert_colour("gray52", 133, 133, 133);
	insert_colour("grey52", 133, 133, 133);
	insert_colour("gray53", 135, 135, 135);
	insert_colour("grey53", 135, 135, 135);
	insert_colour("gray54", 138, 138, 138);
	insert_colour("grey54", 138, 138, 138);
	insert_colour("gray55", 140, 140, 140);
	insert_colour("grey55", 140, 140, 140);
	insert_colour("gray56", 143, 143, 143);
	insert_colour("grey56", 143, 143, 143);
	insert_colour("gray57", 145, 145, 145);
	insert_colour("grey57", 145, 145, 145);
	insert_colour("gray58", 148, 148, 148);
	insert_colour("grey58", 148, 148, 148);
	insert_colour("gray59", 150, 150, 150);
	insert_colour("grey59", 150, 150, 150);
	insert_colour("gray60", 153, 153, 153);
	insert_colour("grey60", 153, 153, 153);
	insert_colour("gray61", 156, 156, 156);
	insert_colour("grey61", 156, 156, 156);
	insert_colour("gray62", 158, 158, 158);
	insert_colour("grey62", 158, 158, 158);
	insert_colour("gray63", 161, 161, 161);
	insert_colour("grey63", 161, 161, 161);
	insert_colour("gray64", 163, 163, 163);
	insert_colour("grey64", 163, 163, 163);
	insert_colour("gray65", 166, 166, 166);
	insert_colour("grey65", 166, 166, 166);
	insert_colour("gray66", 168, 168, 168);
	insert_colour("grey66", 168, 168, 168);
	insert_colour("gray67", 171, 171, 171);
	insert_colour("grey67", 171, 171, 171);
	insert_colour("gray68", 173, 173, 173);
	insert_colour("grey68", 173, 173, 173);
	insert_colour("gray69", 176, 176, 176);
	insert_colour("grey69", 176, 176, 176);
	insert_colour("gray70", 179, 179, 179);
	insert_colour("grey70", 179, 179, 179);
	insert_colour("gray71", 181, 181, 181);
	insert_colour("grey71", 181, 181, 181);
	insert_colour("gray72", 184, 184, 184);
	insert_colour("grey72", 184, 184, 184);
	insert_colour("gray73", 186, 186, 186);
	insert_colour("grey73", 186, 186, 186);
	insert_colour("gray74", 189, 189, 189);
	insert_colour("grey74", 189, 189, 189);
	insert_colour("gray75", 191, 191, 191);
	insert_colour("grey75", 191, 191, 191);
	insert_colour("gray76", 194, 194, 194);
	insert_colour("grey76", 194, 194, 194);
	insert_colour("gray77", 196, 196, 196);
	insert_colour("grey77", 196, 196, 196);
	insert_colour("gray78", 199, 199, 199);
	insert_colour("grey78", 199, 199, 199);
	insert_colour("gray79", 201, 201, 201);
	insert_colour("grey79", 201, 201, 201);
	insert_colour("gray80", 204, 204, 204);
	insert_colour("grey80", 204, 204, 204);
	insert_colour("gray81", 207, 207, 207);
	insert_colour("grey81", 207, 207, 207);
	insert_colour("gray82", 209, 209, 209);
	insert_colour("grey82", 209, 209, 209);
	insert_colour("gray83", 212, 212, 212);
	insert_colour("grey83", 212, 212, 212);
	insert_colour("gray84", 214, 214, 214);
	insert_colour("grey84", 214, 214, 214);
	insert_colour("gray85", 217, 217, 217);
	insert_colour("grey85", 217, 217, 217);
	insert_colour("gray86", 219, 219, 219);
	insert_colour("grey86", 219, 219, 219);
	insert_colour("gray87", 222, 222, 222);
	insert_colour("grey87", 222, 222, 222);
	insert_colour("gray88", 224, 224, 224);
	insert_colour("grey88", 224, 224, 224);
	insert_colour("gray89", 227, 227, 227);
	insert_colour("grey89", 227, 227, 227);
	insert_colour("gray90", 229, 229, 229);
	insert_colour("grey90", 229, 229, 229);
	insert_colour("gray91", 232, 232, 232);
	insert_colour("grey91", 232, 232, 232);
	insert_colour("gray92", 235, 235, 235);
	insert_colour("grey92", 235, 235, 235);
	insert_colour("gray93", 237, 237, 237);
	insert_colour("grey93", 237, 237, 237);
	insert_colour("gray94", 240, 240, 240);
	insert_colour("grey94", 240, 240, 240);
	insert_colour("gray95", 242, 242, 242);
	insert_colour("grey95", 242, 242, 242);
	insert_colour("gray96", 245, 245, 245);
	insert_colour("grey96", 245, 245, 245);
	insert_colour("gray97", 247, 247, 247);
	insert_colour("grey97", 247, 247, 247);
	insert_colour("gray98", 250, 250, 250);
	insert_colour("grey98", 250, 250, 250);
	insert_colour("gray99", 252, 252, 252);
	insert_colour("grey99", 252, 252, 252);
	insert_colour("gray100", 255, 255, 255);
	insert_colour("grey100", 255, 255, 255);
}
